## r-bioc-protgenerics 1.10.0

=== DESCRIPTION ===
Package: ProtGenerics
Title: S4 generic functions for Bioconductor proteomics infrastructure
Description: S4 generic functions needed by Bioconductor proteomics
        packages.
Version: 1.10.0
Author: Laurent Gatto <lg390@cam.ac.uk>
Maintainer: Laurent Gatto <lg390@cam.ac.uk>
biocViews: Infrastructure, Proteomics, MassSpectrometry
URL: https://github.com/lgatto/ProtGenerics
Depends: methods
License: Artistic-2.0
NeedsCompilation: no
Packaged: 2017-10-31 00:15:23 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.10.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2017 10:07:16 +0100

r-bioc-protgenerics (1.8.0-1) unstable; urgency=medium

  * Initial release (closes: #879154)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Oct 2017 22:44:28 +0200

=== debian/control ===
Source: r-bioc-protgenerics
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-protgenerics.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-protgenerics.git
Homepage: https://bioconductor.org/packages/ProtGenerics/

Package: r-bioc-protgenerics
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: S4 generic functions for Bioconductor proteomics infrastructure
 This Bioconductor package provides S4 generic functions needed by
 Bioconductor proteomics packages.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/ProtGenerics.html .*/ProtGenerics_(.*).tar.gz

## r-bioc-protgenerics 1.12.0

=== DESCRIPTION ===
Package: ProtGenerics
Title: S4 generic functions for Bioconductor proteomics infrastructure
Description: S4 generic functions needed by Bioconductor proteomics
        packages.
Version: 1.12.0
Author: Laurent Gatto <lg390@cam.ac.uk>
Maintainer: Laurent Gatto <lg390@cam.ac.uk>
biocViews: Infrastructure, Proteomics, MassSpectrometry
URL: https://github.com/lgatto/ProtGenerics
Depends: methods
License: Artistic-2.0
NeedsCompilation: no
Packaged: 2018-05-01 00:20:47 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.12.0-3build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:30:58 +0000

r-bioc-protgenerics (1.12.0-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 09:29:54 +0200

r-bioc-protgenerics (1.12.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 07:43:53 +0200

r-bioc-protgenerics (1.12.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * No upstream tests provided any more, fall back to
    Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 16:22:12 +0200

=== debian/control ===
Source: r-bioc-protgenerics
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics.git
Homepage: https://bioconductor.org/packages/ProtGenerics/

Package: r-bioc-protgenerics
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: S4 generic functions for Bioconductor proteomics infrastructure
 This Bioconductor package provides S4 generic functions needed by
 Bioconductor proteomics packages.

## r-bioc-protgenerics 1.14.0

=== DESCRIPTION ===
Package: ProtGenerics
Title: S4 generic functions for Bioconductor proteomics infrastructure
Description: S4 generic functions needed by Bioconductor proteomics
        packages.
Version: 1.14.0
Author: Laurent Gatto <lg390@cam.ac.uk>
Maintainer: Laurent Gatto <lg390@cam.ac.uk>
biocViews: Infrastructure, Proteomics, MassSpectrometry
URL: https://github.com/lgatto/ProtGenerics
Depends: methods
License: Artistic-2.0
NeedsCompilation: no
git_url: https://git.bioconductor.org/packages/ProtGenerics
git_branch: RELEASE_3_8
git_last_commit: c85940b
git_last_commit_date: 2018-10-30
Date/Publication: 2018-10-30
Packaged: 2018-10-31 00:33:33 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 08 Nov 2018 21:35:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics.git
 Homepage: https://bioconductor.org/packages/ProtGenerics/

## r-bioc-protgenerics 1.16.0

=== DESCRIPTION ===
Package: ProtGenerics
Title: S4 generic functions for Bioconductor proteomics infrastructure
Description: S4 generic functions needed by Bioconductor proteomics
        packages.
Version: 1.16.0
Author: Laurent Gatto <lg390@cam.ac.uk>
Maintainer: Laurent Gatto <lg390@cam.ac.uk>
biocViews: Infrastructure, Proteomics, MassSpectrometry
URL: https://github.com/lgatto/ProtGenerics
Depends: methods
License: Artistic-2.0
NeedsCompilation: no
git_url: https://git.bioconductor.org/packages/ProtGenerics
git_branch: RELEASE_3_9
git_last_commit: 960a5fd
git_last_commit_date: 2019-05-02
Date/Publication: 2019-05-02
Packaged: 2019-05-03 01:19:20 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.16.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2019 10:31:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics.git
 Homepage: https://bioconductor.org/packages/ProtGenerics/

## r-bioc-protgenerics 1.18.0

=== DESCRIPTION ===
Package: ProtGenerics
Title: S4 generic functions for Bioconductor proteomics infrastructure
Description: S4 generic functions needed by Bioconductor proteomics
	packages.
Version: 1.18.0
Author: Laurent Gatto <laurent.gatto@uclouvain.be>
Maintainer: Laurent Gatto <laurent.gatto@uclouvain.be>
biocViews: Infrastructure, Proteomics, MassSpectrometry
URL: https://github.com/lgatto/ProtGenerics
Depends: methods
License: Artistic-2.0
NeedsCompilation: no
git_url: https://git.bioconductor.org/packages/ProtGenerics
git_branch: RELEASE_3_10
git_last_commit: ff9705b
git_last_commit_date: 2019-10-29
Date/Publication: 2019-10-29
Packaged: 2019-10-30 01:19:13 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 Nov 2019 07:53:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics.git
 Homepage: https://bioconductor.org/packages/ProtGenerics/

## r-bioc-protgenerics 1.20.0

=== DESCRIPTION ===
Package: ProtGenerics
Title: S4 generic functions for Bioconductor proteomics infrastructure
Description: S4 generic functions needed by Bioconductor proteomics
	packages.
Version: 1.20.0
Author: Laurent Gatto <laurent.gatto@uclouvain.be>
Maintainer: Laurent Gatto <laurent.gatto@uclouvain.be>
biocViews: Infrastructure, Proteomics, MassSpectrometry
URL: https://github.com/lgatto/ProtGenerics
Depends: methods
License: Artistic-2.0
NeedsCompilation: no
git_url: https://git.bioconductor.org/packages/ProtGenerics
git_branch: RELEASE_3_11
git_last_commit: 25ee32c
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
Packaged: 2020-04-28 01:41:18 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.20.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 09:44:43 +0000

r-bioc-protgenerics (1.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 11:42:07 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics.git
 Homepage: https://bioconductor.org/packages/ProtGenerics/
+Rules-Requires-Root: no
 
 Package: r-bioc-protgenerics
 Architecture: all

## r-bioc-protgenerics 1.22.0

=== DESCRIPTION ===
Package: ProtGenerics
Title: S4 generic functions for Bioconductor proteomics infrastructure
Description: S4 generic functions needed by Bioconductor proteomics
	packages.
Version: 1.22.0
Author: Laurent Gatto <laurent.gatto@uclouvain.be>
Maintainer: Laurent Gatto <laurent.gatto@uclouvain.be>
biocViews: Infrastructure, Proteomics, MassSpectrometry
URL: https://github.com/lgatto/ProtGenerics
Depends: methods
License: Artistic-2.0
NeedsCompilation: no
git_url: https://git.bioconductor.org/packages/ProtGenerics
git_branch: RELEASE_3_12
git_last_commit: 2bb3011
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
Packaged: 2020-10-28 02:33:20 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 12:46:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
 Standards-Version: 4.5.0

## r-bioc-protgenerics 1.26.0

=== DESCRIPTION ===
Package: ProtGenerics
Title: Generic infrastructure for Bioconductor mass spectrometry
        packages
Description: S4 generic functions and classes needed by Bioconductor
        proteomics packages.
Version: 1.26.0
Author: Laurent Gatto <laurent.gatto@uclouvain.be>,
    Johannes Rainer <johannes.rainer@eurac.edu>
Maintainer: Laurent Gatto <laurent.gatto@uclouvain.be>
biocViews: Infrastructure, Proteomics, MassSpectrometry
URL: https://github.com/RforMassSpectrometry/ProtGenerics
Depends: methods
Suggests: testthat
License: Artistic-2.0
NeedsCompilation: no
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/ProtGenerics
git_branch: RELEASE_3_14
git_last_commit: 2033289
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
Packaged: 2021-10-26 22:22:21 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.26.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 10:56:06 +0100

r-bioc-protgenerics (1.24.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Disable reprotest
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 07:47:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics.git
 Homepage: https://bioconductor.org/packages/ProtGenerics/

## r-bioc-protgenerics 1.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
         packages
 Description: S4 generic functions and classes needed by Bioconductor
         proteomics packages.
-Version: 1.26.0
+Version: 1.28.0
 Author: Laurent Gatto <laurent.gatto@uclouvain.be>,
     Johannes Rainer <johannes.rainer@eurac.edu>
 Maintainer: Laurent Gatto <laurent.gatto@uclouvain.be>
@@ -15,8 +15,8 @@
 NeedsCompilation: no
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/ProtGenerics
-git_branch: RELEASE_3_14
-git_last_commit: 2033289
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 22:22:21 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: cfcd0a9
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 21:39:18 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.28.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 13:59:08 +0200

## r-bioc-protgenerics 1.30.0

=== DESCRIPTION ===
Package: ProtGenerics
Title: Generic infrastructure for Bioconductor mass spectrometry
        packages
Description: S4 generic functions and classes needed by Bioconductor
        proteomics packages.
Version: 1.30.0
Author: Laurent Gatto <laurent.gatto@uclouvain.be>,
    Johannes Rainer <johannes.rainer@eurac.edu>
Maintainer: Laurent Gatto <laurent.gatto@uclouvain.be>
biocViews: Infrastructure, Proteomics, MassSpectrometry
URL: https://github.com/RforMassSpectrometry/ProtGenerics
Depends: methods
Suggests: testthat
License: Artistic-2.0
NeedsCompilation: no
RoxygenNote: 7.2.1
git_url: https://git.bioconductor.org/packages/ProtGenerics
git_branch: RELEASE_3_16
git_last_commit: fcd566b
git_last_commit_date: 2022-11-01
Date/Publication: 2022-11-01
Packaged: 2022-11-01 22:33:09 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.30.0-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 11:21:33 +0100

=== debian/control ===
Source: r-bioc-protgenerics
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics.git
Homepage: https://bioconductor.org/packages/ProtGenerics/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-bioc-protgenerics
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: S4 generic functions for Bioconductor proteomics infrastructure
 This Bioconductor package provides S4 generic functions needed by
 Bioconductor proteomics packages.

## r-bioc-protgenerics 1.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
         packages
 Description: S4 generic functions and classes needed by Bioconductor
         proteomics packages.
-Version: 1.30.0
+Version: 1.32.0
 Author: Laurent Gatto <laurent.gatto@uclouvain.be>,
     Johannes Rainer <johannes.rainer@eurac.edu>
 Maintainer: Laurent Gatto <laurent.gatto@uclouvain.be>
@@ -15,8 +15,8 @@
 NeedsCompilation: no
 RoxygenNote: 7.2.1
 git_url: https://git.bioconductor.org/packages/ProtGenerics
-git_branch: RELEASE_3_16
-git_last_commit: fcd566b
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 22:33:09 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 30c6458
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 22:16:54 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.32.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 16:46:42 +0200

## r-bioc-protgenerics 1.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
         packages
 Description: S4 generic functions and classes needed by Bioconductor
         proteomics packages.
-Version: 1.32.0
+Version: 1.34.0
 Author: Laurent Gatto <laurent.gatto@uclouvain.be>,
     Johannes Rainer <johannes.rainer@eurac.edu>
 Maintainer: Laurent Gatto <laurent.gatto@uclouvain.be>
@@ -15,8 +15,8 @@
 NeedsCompilation: no
 RoxygenNote: 7.2.1
 git_url: https://git.bioconductor.org/packages/ProtGenerics
-git_branch: RELEASE_3_17
-git_last_commit: 30c6458
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
-Packaged: 2023-04-25 22:16:54 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 50328a2
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 22:32:03 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.34.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 17:44:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics.git
 Homepage: https://bioconductor.org/packages/ProtGenerics/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/ProtGenerics.html .*/ProtGenerics_(.*).tar.gz

## r-bioc-protgenerics 1.36.0

=== DESCRIPTION ===
Package: ProtGenerics
Title: Generic infrastructure for Bioconductor mass spectrometry
        packages
Description: S4 generic functions and classes needed by Bioconductor
        proteomics packages.
Version: 1.36.0
Author: Laurent Gatto <laurent.gatto@uclouvain.be>,
    Johannes Rainer <johannes.rainer@eurac.edu>
Maintainer: Laurent Gatto <laurent.gatto@uclouvain.be>
biocViews: Infrastructure, Proteomics, MassSpectrometry
URL: https://github.com/RforMassSpectrometry/ProtGenerics
Depends: methods
Suggests: testthat
License: Artistic-2.0
NeedsCompilation: no
RoxygenNote: 7.3.1
git_url: https://git.bioconductor.org/packages/ProtGenerics
git_branch: RELEASE_3_19
git_last_commit: f1a8d20
git_last_commit_date: 2024-04-30
Repository: Bioconductor 3.19
Date/Publication: 2024-04-30
Packaged: 2024-05-01 05:24:29 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.36.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:43:03 +0200

r-bioc-protgenerics (1.36.0-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 00:12:23 +0200

## r-bioc-protgenerics 1.38.0

=== DESCRIPTION ===
Package: ProtGenerics
Title: Generic infrastructure for Bioconductor mass spectrometry
        packages
Description: S4 generic functions and classes needed by Bioconductor
        proteomics packages.
Version: 1.38.0
Author: Laurent Gatto <laurent.gatto@uclouvain.be>,
    Johannes Rainer <johannes.rainer@eurac.edu>
Maintainer: Laurent Gatto <laurent.gatto@uclouvain.be>
biocViews: Infrastructure, Proteomics, MassSpectrometry
URL: https://github.com/RforMassSpectrometry/ProtGenerics
Depends: methods
Suggests: testthat
License: Artistic-2.0
NeedsCompilation: no
RoxygenNote: 7.3.2
git_url: https://git.bioconductor.org/packages/ProtGenerics
git_branch: RELEASE_3_20
git_last_commit: e75a9e0
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
Packaged: 2024-10-30 02:14:48 UTC; biocbuild

=== debian/changelog ===
r-bioc-protgenerics (1.38.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 18:03:55 +0100

r-bioc-protgenerics (1.38.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 10:33:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-protgenerics.git
 Homepage: https://bioconductor.org/packages/ProtGenerics/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
